upgrade error

hi getting these errors upon uprgrade. any help?
The following errors were found :

Required PHP extension not found : PDO
Required PHP extension not found : gettext
Required PHP extension not found : curl
Required PHP extension not found : mbstring
Required PHP extension not found : zip
Required PHP extension not found : gd

Comments

  • Hi rprice1978, some more information would be useful to help you diagnose the issue. Which PHP and MySQL versions are you using, which Gibbon version did you upgrade from, are you using the InstallBundle from the Download page, or the file from GitHub. Can you perhaps share a screenshot of where you're seeing that error?
  • Fatal error: Uncaught Error: Class 'PDO' not found in /home/mpjhs/public_html/sms22/src/Database/MySqlConnector.php:49 Stack trace: #0 /home/mpjhs/public_html/sms22/gibbon.php(78): Gibbon\Database\MySqlConnector->connect(Array) #1 /home/mpjhs/public_html/sms22/index.php(33): require_once('/home/mpjhs/pub...') #2 {main} thrown in /home/mpjhs/public_html/sms22/src/Database/MySqlConnector.php on line 49
  • MySQL Version 10.2.39-MariaDB
    php 7.4
    from 20 to 22
    The first message is while upgrade through softaculous send is when on the home page when usning the install bundle
  • Hi rprice1978, it sounds like something has changed in your server configuration. PDO is a required extension, and should come pre-compiled with PHP by default, but occasionally different hosts have different extensions. From the list of extensions missing, it looks like the server is very bare-bones and is missing most of the essential PHP extensions. This isn't something we can fix on the Gibbon side of things, you'd need to look at your server (if you host yourself) or talk to your hosting provider.
  • Thanks i sorted it out
    sandra
Sign In or Register to comment.